import { CacheData } from "./types";
export declare function addCachedPage(url: string, value: string): Promise<void>;
export declare function getCachedPage(url: string): Promise<string>;
export declare function addExpiring(data: Omit<CacheData, "type">): Promise<void>;
export declare function addCached(data: CacheData): Promise<void>;
export declare function getCached<T = string>(givenKey: string, stable?: boolean): Promise<T | undefined>;
export declare function deleteCached(givenKey: string, stable?: boolean): Promise<void>;
